Home Information Classes Download Usage Mail List Requirements Links Tutorial

# FMVoices Class Reference

STK singing FM synthesis instrument. More...

`#include <FMVoices.h>`

Inheritance diagram for FMVoices:

List of all members.

## Public Member Functions

| FMVoices ()
| Class constructor.
| ~FMVoices ()
| Class destructor.
virtual void | setFrequency (MY_FLOAT frequency)
| Set instrument parameters for a particular frequency.
void | noteOn (MY_FLOAT frequency, MY_FLOAT amplitude)
| Start a note with the given frequency and amplitude.
MY_FLOAT | tick ()
| Compute one output sample.
virtual void | controlChange (int number, MY_FLOAT value)
| Perform the control change specified by number and value (0.0 - 128.0).

## Detailed Description

STK singing FM synthesis instrument.

This class implements 3 carriers and a common modulator, also referred to as algorithm 6 of the TX81Z.

        Algorithm 6 is :
                            /->1 -\
                         4-|-->2 - +-> Out
                            \->3 -/

Control Change Numbers:

- Vowel = 2
- Spectral Tilt = 4
- LFO Speed = 11
- LFO Depth = 1
- ADSR 2 & 4 Target = 128

The basic Chowning/Stanford FM patent expired in 1995, but there exist follow-on patents, mostly assigned to Yamaha. If you are of the type who should worry about this (making money) worry away.

by Perry R. Cook and Gary P. Scavone, 1995 - 2002.

Definition at line 38 of file FMVoices.h.

The documentation for this class was generated from the following file:

- FMVoices.h

The Synthesis ToolKit in C++ (STK)
©1995-2004 Perry R. Cook and Gary P. Scavone. All Rights Reserved.